Bug 1142356 - take snapshot failure exception for down storage
Summary: take snapshot failure exception for down storage
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Operations, Storage Node
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER04
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On: 1074633
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-16 15:43 UTC by Armine Hovsepyan
Modified: 2015-11-02 00:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 13:59:50 UTC


Attachments (Terms of Use)
operation_failed_exception (159.84 KB, application/octet-stream)
2014-09-16 15:43 UTC, Armine Hovsepyan
no flags Details
exception_stack_trace (3.25 KB, text/plain)
2014-09-16 15:44 UTC, Armine Hovsepyan
no flags Details
snapshot_operation_storage_down (184.75 KB, image/png)
2014-10-02 16:52 UTC, Armine Hovsepyan
no flags Details

Description Armine Hovsepyan 2014-09-16 15:43:25 UTC
Created attachment 938096 [details]
operation_failed_exception

Description of problem:
take snapshot failure exception for down storage

Version-Release number of selected component (if applicable):
JON 3.3 ER02

How reproducible:
always

Steps to Reproduce:
1. JON server with agnet and storage installed and running
2. Remote storage node with agent installed and connected to jon server
3. Stop one of the storage nodes
4. Schedule take snapshot operation with delete last 2 snapshots

Actual results:
After step2. 
Take  snapshot operation failed with "rg.mc4j.ems.connection.EmsException: Could not load attribute value null" exception with stack trace 
No new snapshot is created
All existing snapshots stayed

Expected results:
Take  snapshot operation failed with meaningfull error message without a stack trace 
No new snapshot is created
All existing snapshots stayed

Additional info:
screenshot and stack trace attached

Comment 1 Armine Hovsepyan 2014-09-16 15:44:10 UTC
Created attachment 938097 [details]
exception_stack_trace

Comment 2 Libor Zoubek 2014-09-17 15:22:38 UTC
master

commit ad994cbe0c0056fb9c803d97fcd8625f0d2cbf3b
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed Sep 17 17:12:51 2014 +0200

    Bug 1142356 - take snapshot failure exception for down storage
    
    We now detect storage service availability prior running operation

Comment 3 Jirka Kremser 2014-09-17 15:33:35 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/ae5ff7fcf
time:    2014-09-17 17:32:31 +0200
commit:  ae5ff7fcf3e226292399d386e1216564d7d24173
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1142356 - take snapshot failure exception for down storage

         We now detect storage service availability prior running
         operation

         (cherry picked from commit
         ad994cbe0c0056fb9c803d97fcd8625f0d2cbf3b) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 4 Simeon Pinder 2014-10-01 21:33:11 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 5 Armine Hovsepyan 2014-10-02 16:52:05 UTC
Created attachment 943492 [details]
snapshot_operation_storage_down

Comment 6 Armine Hovsepyan 2014-10-02 16:52:41 UTC
verified in JON 3.3 ER04
screen-shot attached


Note You need to log in before you can comment on or make changes to this bug.